<html xmlns:py="http://genshi.edgewall.org/">
  <head>
    <title>GRE Word Clusters</title>
    <style py:def="loadcss(src)" type="text/css">
      <!--/*--><![CDATA[/*><!--*/
      ${Markup(open(src).read())}
      /*]]>*/-->
    </style>
    <script py:def="loadjs(src)" type="text/javascript">
      ${Markup(open(src).read())}
    </script>
    
    ${loadjs("jquery.js")}
    ${loadjs("jquery.shortkeys.js")}
    ${loadjs("jqModal.js")}

    ${loadcss("jqModal.css")}
    ${loadcss("style.css")}

  </head>

  <body>
    <script py:def="loadjs(src)" type="text/javascript">
      ${Markup(open(src).read())}
    </script>

    <script py:def="loadjs_a(src)" type="text/javascript" src="$src">
    </script>
    
    ${loadjs("wz_tooltip.js")}
    <!-- ${loadjs("shortcuts.js")} -->

    <script type="text/javascript">
      var total = ${len(clusters)};
    </script>

    ${loadjs("ui.js")}

    <div class="jqmWindow" id="dialog">

      <a href="#" class="jqmClose">Close</a>
      <hr />
      <p>GRE Word Clusters is an easy-to-use application to help you
      prepare for the GRE Verbal exam. Prof. Donald E. James is known
      for his renowned teaching in vocabulary, especially the GRE. He
      recommends studying the words by first clustering them. Using
      this application you can interactively go over the word
      clusters.
      </p>

      <p>Did you know that you can,
	<ul>
	  <li>hover over any word to get its <em>definition</em>
	  popup?</li>
	  <li>press <em>n</em> or <em>p</em> to smoothly scroll this page?</li>
	  <li>press <em>r</em> to go to a random cluster?</li>
	  <li>press <em>1</em>,<em>2</em>,..,<em>9</em> to go to the
	  corresponding cluster set?</li>
	  <li>save this file to your hard disk for off-line access?</li>
	</ul>
      </p>
	
    </div>
    
    <div id="content">
      <h1>GRE Word Clusters</h1>
      <ul class="nav">
	<li><a href="#c1">1-100</a></li>
	<li><a href="#c100">100-200</a></li>
	<li><a href="#c200">200-300</a></li>
	<li><a href="#c300">300-400</a></li>
	<li><a href="#c400">400-500</a></li>
	<li><a href="#c500">500-600</a></li>
	<li><a href="#c600">600-700</a></li>
	<li><a href="#c700">700-800</a></li>
	<li><a href="#c800">800-900</a></li>
	<li><a href="#c900">900-1000</a></li>
	<li><a href="#c1000">1000-</a></li>
	<li><a onclick="random_cluster(); return false;"
	       href="#"
	       title="Go to a random cluster! (or press 'r' key)"
	       >[random]</a>
	</li>
      </ul>

      <ul class="nav">
	<li><a href="#" class="jqModal"><b>What's this?</b></a></li>
      </ul>

      <script type="text/javascript">
	$('#dialog').jqm();
	
	function t(id){
	  var definition = $('#d'+id).html();
	  var title = $('#d'+id).attr('title');
	  Tip(definition, SHADOW, false, TITLE, title, PADDING, 9, DELAY, 0);
	}
	  
      </script>

      <py:def function="q(s)">${s.replace('\'', '\\\'')}</py:def>
      
      <span py:def="render_word(w)"><span py:if="w in keydict" id="${'d%d'%keydict[w]}" title="${w}" style="display:none;">${Markup(defdict[w])}</span><a onMouseover="t(${keydict[w]})">${w}</a></span>

      <ul py:def="render_wl(wl)" class="wl"><li py:for="w in wl">${render_word(w)}</li></ul>

      <dl id="words">
	<div py:for="i, w in zip(range(len(words)), words)">
	  <span class="i" id="${'c%d' % (i+1)}">${i+1}</span>
	  <dt><span class="w">${render_word(w)}</span></dt>
	  <dd><span class="s">${render_wl(clusters[w][0])}</span>
	    <span class="a">${render_wl(clusters[w][1])}</span>
	  </dd>
	</div>
      </dl>
    </div>

    <div id="footer">
      This page works well in Firefox. Do not ridiculously try to view
      in IE.  <br />
      By <a href="http://srid.nearfar.org">Sridhar Ratna</a> <br />
      Clusters
      by <a
      href="http://www.thelyceum.org.in/Faculty.htm">Prof. Donald
      E. James</a>. Compiled
      by <a
      href="http://anupamarnold.googlepages.com/GRE_Verbal.pdf">Varadhan</a>.
    </div>
    
  </body>
</html>
